<%@ page import="com.apress.projsp20.ch06.domain.Countries" %>

<html>

  <head>
    <title>Professional JSP 2.0</title>
    <link rel="stylesheet" href="./page.css">
  </head>

  <body>

    <%@ taglib uri="/WEB-INF/tlds/ch06.tld" prefix="ch06" %>

    <%
      pageContext.setAttribute("countries", Countries.getInstance().getCountries());
    %>

    Countries : 
    <ch06:select name="country" label="name" value="id" items="${countries}"/>

    <%-- this is an alternative way of specifying the request-time attribute
      <ch07:select name="country" label="name" value="id" items="<%= (java.util.Collection)pageContext.findAttribute("countries") %>"/>
    --%>

  </body>

</html>